"""
These scale indexes are probably used by something, but I'm not sure what.

If you know how these are used, please tell me.
"""

HARMONICSCALE_MAJOR = 0
"""
Major scale.

[Wikipedia link](https://en.wikipedia.org/wiki/Major_scale)
"""

HARMONICSCALE_HARMONICMINOR = 1
"""
Harmonic minor scale.

[Wikipedia link](https://en.wikipedia.org/wiki/Harmonic_minor_scale)
"""

HARMONICSCALE_MELODICMINOR = 2
"""
Melodic minor scale.

[Wikipedia link](https://en.wikipedia.org/wiki/Minor_scale#Melodic_minor_scale)
"""

HARMONICSCALE_WHOLETONE = 3
"""
Whole-tone scale.

[Wikipedia link](https://en.wikipedia.org/wiki/Whole-tone_scale)
"""

HARMONICSCALE_DIMINISHED = 4
"""
Diminished scale. Also known as an octatonic scale.

[Wikipedia link](https://en.wikipedia.org/wiki/Octatonic_scale)
"""

HARMONICSCALE_MAJORPENTATONIC = 5
"""
Pentatonic major scale.

[Wikipedia link](https://en.wikipedia.org/wiki/Pentatonic_scale#Major_pentatonic_scale)
"""

HARMONICSCALE_MINORPENTATONIC = 6
"""
Pentatonic minor scale.

[Wikipedia link](https://en.wikipedia.org/wiki/Pentatonic_scale#Minor_pentatonic_scale)
"""

HARMONICSCALE_JAPINSEN = 7
"""
Japanese Insen scale.

[Wikipedia link](https://en.wikipedia.org/wiki/Insen_scale)
"""

HARMONICSCALE_MAJORBEBOP = 8
"""
Bebop major scale.

[Wikipedia link](https://en.wikipedia.org/wiki/Bebop_scale#Bebop_major_scale)
"""

HARMONICSCALE_DOMINANTBEBOP = 9
"""
Bebop dominant scale.

[Wikipedia link](https://en.wikipedia.org/wiki/Bebop_scale#Bebop_dominant_scale)
"""

HARMONICSCALE_BLUES = 10
"""
Blues scale.

[Wikipedia link](https://en.wikipedia.org/wiki/Blues_scale)
"""

HARMONICSCALE_ARABIC = 11
"""
Double harmonic (Arabic) scale.

[Wikipedia link](https://en.wikipedia.org/wiki/Double_harmonic_scale)
"""

HARMONICSCALE_ENIGMATIC = 12
"""
Enigmatic scale.

[Wikipedia link](https://en.wikipedia.org/wiki/Enigmatic_scale)
"""

HARMONICSCALE_NEAPOLITAN = 13
"""
Neapolitan major scale.

[Wikipedia link](https://en.wikipedia.org/wiki/Neapolitan_scale)
"""

HARMONICSCALE_NEAPOLITANMINOR = 14
"""
Neapolitan minor scale.

[Wikipedia link](https://en.wikipedia.org/wiki/Neapolitan_scale)
"""

HARMONICSCALE_HUNGARIANMINOR = 15
"""
Hungarian minor scale.

[Wikipedia link](https://en.wikipedia.org/wiki/Hungarian_minor_scale)
"""

HARMONICSCALE_DORIAN = 16
"""
Dorian mode scale.

[Wikipedia link](https://en.wikipedia.org/wiki/Dorian_mode)
"""

HARMONICSCALE_PHRYGIAN = 17
"""
Phrygian mode scale.

[Wikipedia link](https://en.wikipedia.org/wiki/Phrygian_mode)
"""

HARMONICSCALE_LYDIAN = 18
"""
Lydian mode scale.

[Wikipedia link](https://en.wikipedia.org/wiki/Lydian_mode)
"""

HARMONICSCALE_MIXOLYDIAN = 19
"""
Mixolydian mode scale.

[Wikipedia link](https://en.wikipedia.org/wiki/Mixolydian_mode)
"""

HARMONICSCALE_AEOLIAN = 20
"""
Aeolian mode scale. Also known as natural minor scale.

[Wikipedia link](https://en.wikipedia.org/wiki/Aeolian_mode)
"""

HARMONICSCALE_LOCRIAN = 21
"""
Locrian mode scale.

[Wikipedia link](https://en.wikipedia.org/wiki/Locrian_mode)
"""

HARMONICSCALE_CHROMATIC = 22
"""
Chromatic (12-tone) scale.

[Wikipedia link](https://en.wikipedia.org/wiki/Chromatic_scale)
"""


HARMONICSCALE_LAST = 22
"""
The index of the last available harmonic scale. This value can be used to
ensure that scripts don't attempt to set an invalid scale value.
"""
